InstanceEvent (Tomcat API Documentation)
Keywords: org.apache.catalina.InstanceEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Class InstanceEvent

    java.lang.Object
      java.util.EventObject
          org.apache.catalina.InstanceEvent

All Implemented Interfaces:
  java.io.Serializable

    public final class InstanceEvent

extends java.util.EventObject

General event for notifying listeners of significant events related to a specific instance of a Servlet, or a specific instance of a Filter, as opposed to the Wrapper component that manages it.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `AFTER_DESTROY_EVENT` The event indicating that the `destroy()` method has returned.
`static java.lang.String` | `AFTER_DISPATCH_EVENT` The event indicating that the `service()` method of a servlet accessed via a request dispatcher has returned.
`static java.lang.String` | `AFTER_FILTER_EVENT` The event indicating that the `doFilter()` method of a Filter has returned.
`static java.lang.String` | `AFTER_INIT_EVENT` The event indicating that the `init()` method has returned.
`static java.lang.String` | `AFTER_SERVICE_EVENT` The event indicating that the `service()` method has returned.
`static java.lang.String` | `BEFORE_DESTROY_EVENT` The event indicating that the `destroy` method is about to be called for this instance.
`static java.lang.String` | `BEFORE_DISPATCH_EVENT` The event indicating that the `service()` method of a servlet accessed via a request dispatcher is about to be called.
`static java.lang.String` | `BEFORE_FILTER_EVENT` The event indicating that the `doFilter()` method of a Filter is about to be called.
`static java.lang.String` | `BEFORE_INIT_EVENT` The event indicating that the `init()` method is about to be called for this instance.
`static java.lang.String` | `BEFORE_SERVICE_EVENT` The event indicating that the `service()` method is about to be called on a servlet.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InstanceEvent(Wrapper wrapper, javax.servlet.Filter filter, java.lang.String type)` Construct a new InstanceEvent with the specified parameters.
`InstanceEvent(Wrapper wrapper, javax.servlet.Filter filter, java.lang.String type, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` Construct a new InstanceEvent with the specified parameters.
`InstanceEvent(Wrapper wrapper, javax.servlet.Filter filter, java.lang.String type, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, java.lang.Throwable exception)` Construct a new InstanceEvent with the specified parameters.
`InstanceEvent(Wrapper wrapper, javax.servlet.Filter filter, java.lang.String type, java.lang.Throwable exception)` Construct a new InstanceEvent with the specified parameters.
`InstanceEvent(Wrapper wrapper, javax.servlet.Servlet servlet, java.lang.String type)` Construct a new InstanceEvent with the specified parameters.
`InstanceEvent(Wrapper wrapper, javax.servlet.Servlet servlet, java.lang.String type, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` Construct a new InstanceEvent with the specified parameters.
`InstanceEvent(Wrapper wrapper, javax.servlet.Servlet servlet, java.lang.String type, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, java.lang.Throwable exception)` Construct a new InstanceEvent with the specified parameters.
`InstanceEvent(Wrapper wrapper, javax.servlet.Servlet servlet, java.lang.String type, java.lang.Throwable exception)` Construct a new InstanceEvent with the specified parameters.

Method Summary
`java.lang.Throwable` | `getException()` Return the exception that occurred during the processing that was reported by this event.
`javax.servlet.Filter` | `getFilter()` Return the filter instance for which this event occurred.
`javax.servlet.ServletRequest` | `getRequest()` Return the servlet request for which this event occurred.
`javax.servlet.ServletResponse` | `getResponse()` Return the servlet response for which this event occurred.
`javax.servlet.Servlet` | `getServlet()` Return the servlet instance for which this event occurred.
`java.lang.String` | `getType()` Return the event type of this event.
`Wrapper` | `getWrapper()` Return the Wrapper managing the servlet instance for which this event occurred.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BEFORE_INIT_EVENT

    public static final java.lang.String BEFORE_INIT_EVENT

  The event indicating that the `init()` method is about to be called for this instance.

  See Also:
    Constant Field Values

### AFTER_INIT_EVENT

    public static final java.lang.String AFTER_INIT_EVENT

  The event indicating that the `init()` method has returned.

  See Also:
    Constant Field Values

### BEFORE_SERVICE_EVENT

    public static final java.lang.String BEFORE_SERVICE_EVENT

  The event indicating that the `service()` method is about to be called on a servlet. The `servlet` property contains the servlet being called, and the `request` and `response` properties contain the current request and response being processed.

  See Also:
    Constant Field Values

### AFTER_SERVICE_EVENT

    public static final java.lang.String AFTER_SERVICE_EVENT

  The event indicating that the `service()` method has returned. The `servlet` property contains the servlet that was called, and the `request` and `response` properties contain the current request and response being processed.

  See Also:
    Constant Field Values

### BEFORE_DESTROY_EVENT

    public static final java.lang.String BEFORE_DESTROY_EVENT

  The event indicating that the `destroy` method is about to be called for this instance.

  See Also:
    Constant Field Values

### AFTER_DESTROY_EVENT

    public static final java.lang.String AFTER_DESTROY_EVENT

  The event indicating that the `destroy()` method has returned.

  See Also:
    Constant Field Values

### BEFORE_DISPATCH_EVENT

    public static final java.lang.String BEFORE_DISPATCH_EVENT

  The event indicating that the `service()` method of a servlet accessed via a request dispatcher is about to be called. The `servlet` property contains a reference to the dispatched-to servlet instance, and the `request` and `response` properties contain the current request and response being processed. The `wrapper` property will contain a reference to the dispatched-to Wrapper.

  See Also:
    Constant Field Values

### AFTER_DISPATCH_EVENT

    public static final java.lang.String AFTER_DISPATCH_EVENT

  The event indicating that the `service()` method of a servlet accessed via a request dispatcher has returned. The `servlet` property contains a reference to the dispatched-to servlet instance, and the `request` and `response` properties contain the current request and response being processed. The `wrapper` property will contain a reference to the dispatched-to Wrapper.

  See Also:
    Constant Field Values

### BEFORE_FILTER_EVENT

    public static final java.lang.String BEFORE_FILTER_EVENT

  The event indicating that the `doFilter()` method of a Filter is about to be called. The `filter` property contains a reference to the relevant filter instance, and the `request` and `response` properties contain the current request and response being processed.

  See Also:
    Constant Field Values

### AFTER_FILTER_EVENT

    public static final java.lang.String AFTER_FILTER_EVENT

  The event indicating that the `doFilter()` method of a Filter has returned. The `filter` property contains a reference to the relevant filter instance, and the `request` and `response` properties contain the current request and response being processed.

  See Also:
    Constant Field Values

Constructor Detail

### InstanceEvent

    public InstanceEvent(Wrapper wrapper,
                         javax.servlet.Filter filter,
                         java.lang.String type)

  Construct a new InstanceEvent with the specified parameters. This constructor is used for filter lifecycle events.

  Parameters:
    `wrapper` - Wrapper managing this servlet instance
    `filter` - Filter instance for which this event occurred
    `type` - Event type (required)

### InstanceEvent

    public InstanceEvent(Wrapper wrapper,
                         javax.servlet.Filter filter,
                         java.lang.String type,
                         java.lang.Throwable exception)

  Construct a new InstanceEvent with the specified parameters. This constructor is used for filter lifecycle events.

  Parameters:
    `wrapper` - Wrapper managing this servlet instance
    `filter` - Filter instance for which this event occurred
    `type` - Event type (required)
    `exception` - Exception that occurred

### InstanceEvent

    public InstanceEvent(Wrapper wrapper,
                         javax.servlet.Filter filter,
                         java.lang.String type,
                         javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response)

  Construct a new InstanceEvent with the specified parameters. This constructor is used for filter processing events.

  Parameters:
    `wrapper` - Wrapper managing this servlet instance
    `filter` - Filter instance for which this event occurred
    `type` - Event type (required)
    `request` - Servlet request we are processing
    `response` - Servlet response we are processing

### InstanceEvent

    public InstanceEvent(Wrapper wrapper,
                         javax.servlet.Filter filter,
                         java.lang.String type,
                         javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         java.lang.Throwable exception)

  Construct a new InstanceEvent with the specified parameters. This constructor is used for filter processing events.

  Parameters:
    `wrapper` - Wrapper managing this servlet instance
    `filter` - Filter instance for which this event occurred
    `type` - Event type (required)
    `request` - Servlet request we are processing
    `response` - Servlet response we are processing
    `exception` - Exception that occurred

### InstanceEvent

    public InstanceEvent(Wrapper wrapper,
                         javax.servlet.Servlet servlet,
                         java.lang.String type)

  Construct a new InstanceEvent with the specified parameters. This constructor is used for processing servlet lifecycle events.

  Parameters:
    `wrapper` - Wrapper managing this servlet instance
    `servlet` - Servlet instance for which this event occurred
    `type` - Event type (required)

### InstanceEvent

    public InstanceEvent(Wrapper wrapper,
                         javax.servlet.Servlet servlet,
                         java.lang.String type,
                         java.lang.Throwable exception)

  Construct a new InstanceEvent with the specified parameters. This constructor is used for processing servlet lifecycle events.

  Parameters:
    `wrapper` - Wrapper managing this servlet instance
    `servlet` - Servlet instance for which this event occurred
    `type` - Event type (required)
    `exception` - Exception that occurred

### InstanceEvent

    public InstanceEvent(Wrapper wrapper,
                         javax.servlet.Servlet servlet,
                         java.lang.String type,
                         javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response)

  Construct a new InstanceEvent with the specified parameters. This constructor is used for processing servlet processing events.

  Parameters:
    `wrapper` - Wrapper managing this servlet instance
    `servlet` - Servlet instance for which this event occurred
    `type` - Event type (required)
    `request` - Servlet request we are processing
    `response` - Servlet response we are processing

### InstanceEvent

    public InstanceEvent(Wrapper wrapper,
                         javax.servlet.Servlet servlet,
                         java.lang.String type,
                         javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         java.lang.Throwable exception)

  Construct a new InstanceEvent with the specified parameters. This constructor is used for processing servlet processing events.

  Parameters:
    `wrapper` - Wrapper managing this servlet instance
    `servlet` - Servlet instance for which this event occurred
    `type` - Event type (required)
    `request` - Servlet request we are processing
    `response` - Servlet response we are processing
    `exception` - Exception that occurred

Method Detail

### getException

    public java.lang.Throwable getException()

  Return the exception that occurred during the processing that was reported by this event.

### getFilter

    public javax.servlet.Filter getFilter()

  Return the filter instance for which this event occurred.

### getRequest

    public javax.servlet.ServletRequest getRequest()

  Return the servlet request for which this event occurred.

### getResponse

    public javax.servlet.ServletResponse getResponse()

  Return the servlet response for which this event occurred.

### getServlet

    public javax.servlet.Servlet getServlet()

  Return the servlet instance for which this event occurred.

### getType

    public java.lang.String getType()

  Return the event type of this event.

### getWrapper

    public Wrapper getWrapper()

  Return the Wrapper managing the servlet instance for which this event occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.